extends Button

@export var row : int
@export var column : int
@export var startFilled : bool = false
@onready var gameLogic = get_node("/root/Screen/GameLogic")
var clearNextFrame = false	#Deselect this cell and return it to play
var emptyNextFrame = false	#Erase this cell and make it an empty space
var scored = false

func _on_toggled(toggled_on: bool) -> void:
	if toggled_on:
		gameLogic.press(self)
	else:
		gameLogic.playerEntry.erase(self)
